# Scale Streaming Endpoint

post ` https://app.mk.io/api/v1/projects/:project_name/media/streamingEndpoints/:endpoint_name/scale`

Changes the scale of the Streaming Endpoint.

RBAC Capability Required: `ams.streamingendpoint.scale`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your
auth token.

## Path parameters

- project_name: string (Required)
- endpoint_name: string (Required)

## Request

This endpoint expects an object.

- scaleUnit: integer (Required) >= 0
  
  The scale unit count for this streaming endpoint.

## Response

- 200 OK: The request has succeeded.
  
  No response body.

## Errors

- 400 Bad Request  
  error: object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) (Required)  
  Pertinent information about the error
  
  - code: string (Required)
  - detail: string (Required)
  - extraDetail: map from strings to any (Optional)  
    Extra information regarding this error.
    
  - ref: string (Required)  
  - status: integer (Required)

- 401 Unauthorized  
  error: object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) (Required)  
  Pertinent information about the error
  
  - code: string (Required)
  - detail: string (Required)
  - extraDetail: map from strings to any (Optional)  
    Extra information regarding this error.
    
  - ref: string (Required)  
  - status: integer (Required)

- 403 Forbidden  
  error: object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) (Required)  
  Pertinent information about the error
  
  - code: string (Required)
  - detail: string (Required)
  - extraDetail: map from strings to any (Optional)  
    Extra information regarding this error.
    
  - ref: string (Required)  
  - status: integer (Required)

- 404 Not Found  
  error: object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) (Required)  
  Pertinent information about the error
  
  - code: string (Required)
  - detail: string (Required)
  - extraDetail: map from strings to any (Optional)  
    Extra information regarding this error.
    
  - ref: string (Required)  
  - status: integer (Required)

- 429 Too Many Requests  
  error: object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) (Required)  
  Pertinent information about the error
  
  - code: string (Required)
  - detail: string (Required)
  - extraDetail: map from strings to any (Optional)  
    Extra information regarding this error.
    
  - ref: string (Required)  
  - status: integer (Required)

- 500 Internal Server Error  
  error: object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) (Required)  
  Pertinent information about the error
  
  - code: string (Required)
  - detail: string (Required)
  - extraDetail: map from strings to any (Optional)  
    Extra information regarding this error.
    
  - ref: string (Required)  
  - status: integer (Required)
